Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class Result

    java.lang.Object
      |
      +--weblogic.security.spi.Result

public final class Result
extends java.lang.Object

The `Result` class contains the result of calling the `isAccessAllowed` method on an AccessDecision. Instances are `ABSTAIN`, `DENY`, and `PERMIT`.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Field Summary
`static Result` | `ABSTAIN` Indicates that the Access Decision can not determine whether the request should be permitted or denied.
`static Result` | `DENY` Indicates that the Access Decision has decided that the request should be denied.
`static Result` | `PERMIT` Indicates that the Access Decision has decided that the request should be permitted.

Method Summary
`java.lang.String` | `toString()` Returns this `Result`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSTAIN

    public static final Result ABSTAIN

  Indicates that the Access Decision can not determine whether the request should be permitted or denied. This decision could be the result of the Access Decision not being aware of the requested resource, or being unable to make an explicit decision due to conflicting security policy definitions.

### DENY

    public static final Result DENY

  Indicates that the Access Decision has decided that the request should be denied.

### PERMIT

    public static final Result PERMIT

  Indicates that the Access Decision has decided that the request should be permitted.

Method Detail

### toString

    public java.lang.String toString()

  Returns this `Result`, represented as a String.

  Returns:
    this `Result`, represented as a String.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference